# Method: accounts.customers.entitlements.list

- [HTTP request](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/list#body.request_body)
- [Response body](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/list#body.ListEntitlementsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/list#try-it)

Lists `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements#Entitlement`s belonging to a customer.

Possible error codes:

- PERMISSION_DENIED: The customer doesn't belong to the reseller.
- INVALID_ARGUMENT: Required request parameters are missing or invalid.

Return value: A list of the customer's `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements#Entitlement`s.

### HTTP request

`GET https://cloudchannel.googleapis.com/v1/{parent=accounts/*/customers/*}/entitlements`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the reseller's customer account to list entitlements for. Parent uses the format: accounts/{account_id}/customers/{customer_id} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server might return fewer results than requested. If unspecified, return at most 50 entitlements. The maximum value is 100; the server will coerce values above 100. |
| `pageToken` | `string` Optional. A token for a page of results other than the first page. Obtained using `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/list#body.ListEntitlementsResponse.FIELDS.next_page_token` of the previous `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/list#google.cloud.channel.v1.CloudChannelService.ListEntitlements` call. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/list#google.cloud.channel.v1.CloudChannelService.ListEntitlements`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entitlements": [ { object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements#Entitlement`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `entitlements[]` | ``object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements#Entitlement`)`` The reseller customer's entitlements. |
| `nextPageToken` | `string` A token to list the next page of results. Pass to `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers.entitlements/list#body.QUERY_PARAMETERS.page_token` to obtain that page. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).